> For the complete documentation index, see [llms.txt](https://docs.pyck.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pyck.cloud/graphql-api/services/receiving.md).

# receiving

Audience: Programmer

## Queries

* [nodeReceiving](https://docs.pyck.cloud/graphql-api/queries/nodereceiving.md) — Fetches an object given its ID.
* [nodesReceiving](https://docs.pyck.cloud/graphql-api/queries/nodesreceiving.md) — Lookup nodes by a list of IDs.
* [receivingInboundItems](https://docs.pyck.cloud/graphql-api/queries/receivinginbounditems.md)
* [receivingInboundShipmentNotifications](https://docs.pyck.cloud/graphql-api/queries/receivinginboundshipmentnotifications.md)
* [receivingInbounds](https://docs.pyck.cloud/graphql-api/queries/receivinginbounds.md)
* [receivingServiceInfo](https://docs.pyck.cloud/graphql-api/queries/receivingserviceinfo.md)

## Mutations

* [createReceivingInbound](https://docs.pyck.cloud/graphql-api/mutations/createreceivinginbound.md)
* [createReceivingInboundItem](https://docs.pyck.cloud/graphql-api/mutations/createreceivinginbounditem.md)
* [createReceivingInboundShipmentNotification](https://docs.pyck.cloud/graphql-api/mutations/createreceivinginboundshipmentnotification.md)
* [deleteReceivingInbound](https://docs.pyck.cloud/graphql-api/mutations/deletereceivinginbound.md)
* [deleteReceivingInboundItem](https://docs.pyck.cloud/graphql-api/mutations/deletereceivinginbounditem.md)
* [deleteReceivingInboundShipmentNotification](https://docs.pyck.cloud/graphql-api/mutations/deletereceivinginboundshipmentnotification.md)
* [patchReceivingInboundData](https://docs.pyck.cloud/graphql-api/mutations/patchreceivinginbounddata.md) — Apply RFC 6902 JSON Patch operations to the inbound's data field.
* [patchReceivingInboundItemData](https://docs.pyck.cloud/graphql-api/mutations/patchreceivinginbounditemdata.md) — Apply RFC 6902 JSON Patch operations to the inbound item's data field.
* [patchReceivingInboundShipmentNotificationData](https://docs.pyck.cloud/graphql-api/mutations/patchreceivinginboundshipmentnotificationdata.md) — Apply RFC 6902 JSON Patch operations to the receiving inbound shipment notification's data field.
* [updateReceivingInbound](https://docs.pyck.cloud/graphql-api/mutations/updatereceivinginbound.md)
* [updateReceivingInboundItem](https://docs.pyck.cloud/graphql-api/mutations/updatereceivinginbounditem.md)
* [updateReceivingInboundShipmentNotification](https://docs.pyck.cloud/graphql-api/mutations/updatereceivinginboundshipmentnotification.md)

## Types

* [EntityEventsOutbox](https://docs.pyck.cloud/graphql-api/types/entityeventsoutbox.md)
* [PageInfo](https://docs.pyck.cloud/graphql-api/types/pageinfo.md) — Information about pagination in a connection.
* [ReceivingInbound](https://docs.pyck.cloud/graphql-api/types/receivinginbound.md)
* [ReceivingInboundConnection](https://docs.pyck.cloud/graphql-api/types/receivinginboundconnection.md) — A connection to a list of items.
* [ReceivingInboundDeletePayload](https://docs.pyck.cloud/graphql-api/types/receivinginbounddeletepayload.md)
* [ReceivingInboundEdge](https://docs.pyck.cloud/graphql-api/types/receivinginboundedge.md) — An edge in a connection.
* [ReceivingInboundItem](https://docs.pyck.cloud/graphql-api/types/receivinginbounditem.md)
* [ReceivingInboundItemConnection](https://docs.pyck.cloud/graphql-api/types/receivinginbounditemconnection.md) — A connection to a list of items.
* [ReceivingInboundItemDeletePayload](https://docs.pyck.cloud/graphql-api/types/receivinginbounditemdeletepayload.md)
* [ReceivingInboundItemEdge](https://docs.pyck.cloud/graphql-api/types/receivinginbounditemedge.md) — An edge in a connection.
* [ReceivingInboundItemOutput](https://docs.pyck.cloud/graphql-api/types/receivinginbounditemoutput.md)
* [ReceivingInboundOutput](https://docs.pyck.cloud/graphql-api/types/receivinginboundoutput.md)
* [ReceivingInboundShipmentNotification](https://docs.pyck.cloud/graphql-api/types/receivinginboundshipmentnotification.md)
* [ReceivingInboundShipmentNotificationConnection](https://docs.pyck.cloud/graphql-api/types/receivinginboundshipmentnotificationconnection.md) — A connection to a list of items.
* [ReceivingInboundShipmentNotificationDeletePayload](https://docs.pyck.cloud/graphql-api/types/receivinginboundshipmentnotificationdeletepayload.md)
* [ReceivingInboundShipmentNotificationEdge](https://docs.pyck.cloud/graphql-api/types/receivinginboundshipmentnotificationedge.md) — An edge in a connection.
* [ReceivingInboundShipmentNotificationOutput](https://docs.pyck.cloud/graphql-api/types/receivinginboundshipmentnotificationoutput.md)
* [ServiceInfo](https://docs.pyck.cloud/graphql-api/types/serviceinfo.md)

## Interfaces

* [NodeReceiving](https://docs.pyck.cloud/graphql-api/interfaces/nodereceiving.md) — An object with an ID.

## Inputs

* [CreateReceivingInboundInput](https://docs.pyck.cloud/graphql-api/inputs/createreceivinginboundinput.md) — CreateReceivingInboundInput is used for create ReceivingInbound object.
* [CreateReceivingInboundItemInput](https://docs.pyck.cloud/graphql-api/inputs/createreceivinginbounditeminput.md) — CreateReceivingInboundItemInput is used for create ReceivingInboundItem object.
* [CreateReceivingInboundItemsInput](https://docs.pyck.cloud/graphql-api/inputs/createreceivinginbounditemsinput.md)
* [CreateReceivingInboundShipmentNotificationInput](https://docs.pyck.cloud/graphql-api/inputs/createreceivinginboundshipmentnotificationinput.md) — CreateReceivingInboundShipmentNotificationInput is used for create ReceivingInboundShipmentNotification object.
* [CreateReceivingInboundWithItemsInput](https://docs.pyck.cloud/graphql-api/inputs/createreceivinginboundwithitemsinput.md)
* [EntityEventsOutboxWhereInput](https://docs.pyck.cloud/graphql-api/inputs/entityeventsoutboxwhereinput.md) — EntityEventsOutboxWhereInput is used for filtering EntityEventsOutbox objects.
* [JSONPatchInput](https://docs.pyck.cloud/graphql-api/inputs/jsonpatchinput.md) — A single RFC 6902 JSON Patch operation.
* [ReceivingInboundItemOrder](https://docs.pyck.cloud/graphql-api/inputs/receivinginbounditemorder.md) — Ordering options for ReceivingInboundItem connections
* [ReceivingInboundItemWhereInput](https://docs.pyck.cloud/graphql-api/inputs/receivinginbounditemwhereinput.md) — ReceivingInboundItemWhereInput is used for filtering InboundItem objects.
* [ReceivingInboundOrder](https://docs.pyck.cloud/graphql-api/inputs/receivinginboundorder.md) — Ordering options for ReceivingInbound connections
* [ReceivingInboundShipmentNotificationOrder](https://docs.pyck.cloud/graphql-api/inputs/receivinginboundshipmentnotificationorder.md) — Ordering options for ReceivingInboundShipmentNotification connections
* [ReceivingInboundShipmentNotificationWhereInput](https://docs.pyck.cloud/graphql-api/inputs/receivinginboundshipmentnotificationwhereinput.md) — ReceivingInboundShipmentNotificationWhereInput is used for filtering InboundShipmentNotification objects.
* [ReceivingInboundWhereInput](https://docs.pyck.cloud/graphql-api/inputs/receivinginboundwhereinput.md) — ReceivingInboundWhereInput is used for filtering Inbound objects.
* [UpdateReceivingInboundInput](https://docs.pyck.cloud/graphql-api/inputs/updatereceivinginboundinput.md) — UpdateReceivingInboundInput is used for update ReceivingInbound object.
* [UpdateReceivingInboundItemInput](https://docs.pyck.cloud/graphql-api/inputs/updatereceivinginbounditeminput.md) — UpdateReceivingInboundItemInput is used for update ReceivingInboundItem object.
* [UpdateReceivingInboundShipmentNotificationInput](https://docs.pyck.cloud/graphql-api/inputs/updatereceivinginboundshipmentnotificationinput.md) — UpdateReceivingInboundShipmentNotificationInput is used for update ReceivingInboundShipmentNotification object.

## Enums

* [JSONPatchOp](https://docs.pyck.cloud/graphql-api/enums/jsonpatchop.md) — RFC 6902 JSON Patch operation type.
* [JSONType](https://docs.pyck.cloud/graphql-api/enums/jsontype.md) — JSON type for casting extracted JSONB values during ordering.
* [OrderDirection](https://docs.pyck.cloud/graphql-api/enums/orderdirection.md) — Possible directions in which to order a list of items when provided an `orderBy` argument.
* [ReceivingInboundItemOrderField](https://docs.pyck.cloud/graphql-api/enums/receivinginbounditemorderfield.md) — Properties by which ReceivingInboundItem connections can be ordered.
* [ReceivingInboundOrderField](https://docs.pyck.cloud/graphql-api/enums/receivinginboundorderfield.md) — Properties by which ReceivingInbound connections can be ordered.
* [ReceivingInboundShipmentNotificationOrderField](https://docs.pyck.cloud/graphql-api/enums/receivinginboundshipmentnotificationorderfield.md) — Properties by which ReceivingInboundShipmentNotification connections can be ordered.

## Scalars

* [Cursor](https://docs.pyck.cloud/graphql-api/scalars/cursor.md) — Define a Relay Cursor type: <https://relay.dev/graphql/connections.htm#sec-Cursor>
* [Int64](https://docs.pyck.cloud/graphql-api/scalars/int64.md) — The builtin Int64 type
* [Map](https://docs.pyck.cloud/graphql-api/scalars/map.md) — The builtin Map type
* [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md) — The builtin Time type
* [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pyck.cloud/graphql-api/services/receiving.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
